# Method __builtin.Nettle.Hash()->SCRAM()->client_3()

Method client_3

  ``bool` client_3(`string(8bit)` `line`)`

Description

  Final client-side step in the SCRAM handshake. If we get this far, the server has already verified that we supplied the correct credentials. If this step fails, it means the server does not have our credentials at all and is an imposter.

Parameter `line`

  The received server-final verification response.

Returns

  True if the server is valid, false if the server is invalid.